<?php
$template = <<<END
<!--hairsalon1_2_slide:スライドショー-->
<aside class="hairsalon1_2_slide">
<!--{def item/image1_file}-->
<div class="slide slide1" style="background: url('user_data/{val item/image1_file}') no-repeat center center / cover;"></div>
<!--{/def}-->
<!--{def item/image2_file}-->
<div class="slide slide2" style="background: url('user_data/{val item/image2_file}') no-repeat center center / cover;"></div>
<!--{/def}-->
<!--{def item/image3_file}-->
<div class="slide slide3" style="background: url('user_data/{val item/image3_file}') no-repeat center center / cover;"></div>
<!--{/def}-->
</aside>
END;

$hairsalon1_2_slide = array(						// ブロック
		"title" => "hairsalon1_2 スライドショー",	// ブロックの名称
		"name" => "hairsalon1_2_slide",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=hairsalon1_slide2",
			"class" => "notice",
		),
			"notice1" => array(
				"title" => "このブロックはトップページにしか使えません",
				"type" => "comment",
				"class"=> "notice",
			),
			"image1" => array(
				"title" => "画像1",
				"type" => "image",
			),
			"image2" => array(
				"title" => "画像2",
				"type" => "image",
			),
			"image3" => array(
				"title" => "画像3",
				"type" => "image",
			),
		),
		"func" => "func_hairsalon1_2_slide",		// 処理プログラム（指定がない物は標準処理）
		"output" => "slide",		// 出力位置
	);

block_add($hairsalon1_2_slide);

// スライドの設定
function func_hairsalon1_2_slide($def, $info)
{
	$slide = array();
	for ($i = 1; $i <= 10; $i++) {
		if ($info["image" . $i]) {
			unset($item);
			$item["image"] = $info["image" . $i . "_file"];
			$slide[] = $item;
		}
	}
	$info["slide"] = $slide;
	return $info;
}
